<?php
namespace Claromentis\Core\DAL\MSSQL\NativeClient;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_d64c6254864cf966" . "56eabcea4c48fe51" => base64_decode("c3Fsc3J2X2" . "hhc19yb3dz"), "_78aadcc2e8dfecef37e1fe" . "6d5ffbcdbb" => base64_decode("c3Fsc3J2" . "X2ZldGNo" . "X2FycmF5"), "_a591754a8ddcdbda9c80f1db4d911e1" . "4" => base64_decode("aXNfbnVs" . "bA=="), "_020048b1b6598754" . "4bdb5f9afa692a0f" => base64_decode("TnVtUm93cyBpcyBub3Qgc3V" . "wcG9ydGVk"), "_9a1d01ea" . "56101db47" . "5f6e198f0" . "6a4f9d" => base64_decode("c3Fsc3J2X2ZyZWVfc3RtdA" . "=="));
use Claromentis\Core\DAL;
use UnsupportedOperationException;
class ResultUnbuffered implements DAL\ResultInterface
{
    protected $stmt;
    protected $has_data = null;
    
    
    public function __construct($_a606a2dcd236a549db0574a9c1675927)
    {
        $this->stmt = $_a606a2dcd236a549db0574a9c1675927;
        if ($_a606a2dcd236a549db0574a9c1675927 === true) {
            return;
        }
    }
    public function fetchRow()
    {
        $data = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_78aadcc2e8dfec" . "ef37e1fe6d5ffbc" . "dbb"]($this->stmt, SQLSRV_FETCH_NUMERIC);
        
        
        return $data;
    }
    public function fetchArray()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_78aadcc2e8dfecef37e1fe6d5ffbcd" . "bb"]($this->stmt, SQLSRV_FETCH_ASSOC);
        
        
        return $data;
    }
    public function numRows()
    {
        throw new UnsupportedOperationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_020048b1b65" . "987544bdb5f9" . "afa692a0f"]);
        
        
        
    }
    public function hasData()
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_a591754a8ddcdbda9c80" . "f1db4d911e14"]($this->has_data)) {
            $this->has_data = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d64c625486" . "4cf96656eab" . "cea4c48fe51"]($this->stmt);
        }
        return $this->has_data;
    }
    public function free()
    {
        if ($this->stmt) {
            $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_9a1d01ea56101d" . "b475f6e198f06a4" . "f9d"]($this->stmt);
            $this->stmt = null;
        }
        return true;
    }
    
    
    
    
    
    
    
    public function fetchAllValues()
    {
        return DAL\DbUtil::fetchAllValues($this);
    }
    public function __destruct()
    {
        $this->free();
    }
}